package com.dji.sdk.cloudapi.device;

import java.util.List;

/**
 * @author hqjiang
 * @version 1.0
 * @date 2024/8/28
 * 机场 RTK 标定源
 */
public class RtcmInfo {

    /**
     * 网络 RTK 挂载点信息
     */
    private String mountPoint;

    /**
     * 网络端口信息
     */
    private String port;


    /**
     * 网络 host 信息
     */
    private String host;

    /**
     * 设备类型
     */
    private DeviceTypeEnum rtcmDeviceType;

    /**
     * 标定类型
     */
    private SourceTypeEnum sourceType;


    @Override
    public String toString() {
        return "RtcmInfo{" +
                "mountPoint='" + mountPoint + '\'' +
                ", port=" + port +
                ", host='" + host + '\'' +
                ", rtcmDeviceType=" + rtcmDeviceType +
                ", sourceType=" + sourceType +
                '}';
    }

    public String getMountPoint() {
        return mountPoint;
    }

    public RtcmInfo setMountPoint(String mountPoint) {
        this.mountPoint = mountPoint;
        return this;
    }

    public String getPort() {
        return port;
    }

    public RtcmInfo setPort(String port) {
        this.port = port;
        return this;
    }

    public String getHost() {
        return host;
    }

    public RtcmInfo setHost(String host) {
        this.host = host;
        return this;
    }

    public DeviceTypeEnum getRtcmDeviceType() {
        return rtcmDeviceType;
    }

    public RtcmInfo setRtcmDeviceType(DeviceTypeEnum rtcmDeviceType) {
        this.rtcmDeviceType = rtcmDeviceType;
        return this;
    }

    public SourceTypeEnum getSourceType() {
        return sourceType;
    }

    public RtcmInfo setSourceType(SourceTypeEnum sourceType) {
        this.sourceType = sourceType;
        return this;
    }
}
